{ pkgs, ... }:

{
  packages = with pkgs; [
    openssl
  ];

  languages.rust.enable = true;

  languages.javascript = {
    enable = true;
    pnpm.enable = true;
  };

  services.postgres = {
    enable = true;
    listen_addresses = "127.0.0.1";
    initialDatabases = [
      {
        name = "wrbapp";
        pass = "password";
        user = "wrbapp";  
      }
    ];
  };
}
